package com.foreverwin.mesnac.quartz.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.quartz.dto.SystemJobDTO;
import com.foreverwin.mesnac.quartz.model.SystemJob;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 系统任务表 服务类
 * </p>
 *
 * @author Ervin Chen
 * @since 2020-10-21
 */
public interface SystemJobService extends IService<SystemJob> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<SystemJob> selectPage(FrontPage<SystemJob> frontPage, SystemJob systemJob);

    List<SystemJob> selectList(SystemJob systemJob);

    List<SystemJobDTO> listSystemJob();

    boolean save(SystemJobDTO jobDTO);

    boolean updateById(SystemJobDTO jobDTO);

    boolean pause(Serializable id);

    boolean resume(Serializable id);

    IPage<SystemJobDTO> pageSystemJob(FrontPage<SystemJobDTO> frontPage, SystemJobDTO jobDTO);
}